
/*************************************/
.custom-step-form .progress-line.active {
  background: #667eea;
}
.custom-step-form .progress-line {
  flex: 1;
  height: 3px;
  background: #e0e0e0;
  margin: -50px 5px 0;
  border-radius: 2px;
  transition: all 0.3s ease;
}
.custom-step-form h2 {
  font-size: 26px;
  font-weight: 700;
}
/* -----------------------------------------------------------
   FORM LOADER OVERLAY
----------------------------------------------------------- */
.cf7-loader {
  position: fixed;
  inset: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  background: rgba(255,255,255,0.8);
  z-index: 9999;
}
.spinner {
  width: 50px;
  height: 50px;
  border: 5px solid #ccc;
  border-top-color: #007bff;
  border-radius: 50%;
  animation: spin 0.9s linear infinite;
}
@keyframes spin {
  to { transform: rotate(360deg); }
}
.custom-step-form .progress-section.active .icon, .custom-step-form .progress-line.active {
  background-color: #06f;
  border-color: #06f;
}
 .custom-step-form .progress-line.completed {

    background-color: rgb(76, 175, 80);
  border-color: rgb(76, 175, 80);
}
.custom-step-form .wpcf7-form-control-wrap input[type="radio"] {
  opacity: 0;
  visibility: hidden;
  margin:0;height:0;
}
.custom-step-form .wp-block-contact-form-7-contact-form-selector {
  width: 100%;
  min-width: auto;
  max-width: 800px;
}
.custom-step-form .wpcf7-form-control-wrap {
  position: relative;
}
.custom-step-form .wpcf7-form-control.wpcf7-textarea {
  font-family: inherit;
  font-size: 1.2rem;
  height: 120px;
}
.custom-step-form  .wpcf7-form-control.wpcf7-select {
  font-family: inherit;
  font-size: 1.2rem;
}
.custom-step-form .next-step-btn.add-driver {
  width: 100%;
  margin-top: 0;
  margin-right: -6px;
}
.custom-step-form .progress-wrapper {
  display: flex;
  align-items: center;
  margin-bottom: 30px;
  gap: 10px;
  padding: 20px 0px;
}
.custom-step-form .cols {
  display: flex;
  justify-content: space-between;
}
.custom-step-form .cols div {
  flex-basis: 48%;
}
body .custom-step-form .wpcf7-form-control.wpcf7-acceptance {
  width: 43px;
  display: inline-block;
  position: relative;
  top: 5px;
}

.custom-step-form .wpcf7-form-control-wrap input[type="date"] {
  padding-right: 120px !important;
}
.custom-step-form .cols .wpcf7-form-control-wrap input[type="date"] {
  padding-right: 15px !important;
}
.custom-step-form .progress-section {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 8px;
  flex: 1 1 0%;
  max-width: 100px;
  text-align: center;
}
.custom-step-form .progress-section.completed .icon {
  background: rgb(76, 175, 80);
    background-position-x: 0%;
    background-position-y: 0%;
    background-repeat: repeat;
    background-image: none;
    background-size: auto;
  color: white;
  border-color: rgb(76, 175, 80);
}
.custom-step-form .progress-section .icon {
  width: 50px;
  height: 50px;
  border-radius: 50%;
  background-color: rgb(0, 0, 0);
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 24px;
  transition: 0.3s;
  border: 2px solid rgb(0, 0, 0);
  background-size: 25px !important;
  background-repeat: no-repeat !important;
  background-position: center center !important;
}
.custom-step-form .progress-section.completed .label {
  color: rgb(76, 175, 80);
}
.custom-step-form .progress-section .label {
  font-size: 1.2rem;
  font-weight: 600;
  color: rgb(102, 102, 102);
  line-height: 1.2;
  max-width: 80px;
}
.custom-step-form .progress-section {
  text-align: center;
}
.custom-step-form .next-step-btn {
  position: absolute;
  right: 6px;
  width: 100px;
  height: 55px;
  margin-top: -83px;
  border-radius: 5px;
  border: 0px;
  font-family: inherit;
  font-weight: 700;
  background: rgb(76, 175, 80);
  cursor: pointer;
  color: rgb(255, 255, 255);
}
.custom-step-form input[type="date"], .custom-step-form input[type="email"], .custom-step-form input[type="number"], .custom-step-form input[type="password"], .custom-step-form input[type="search"], .custom-step-form input[type="tel"], .custom-step-form input[type="text"], .custom-step-form input[type="url"], .custom-step-form select, .custom-step-form textarea, .custom-step-form input {
  display: block;
  border: 1px solid rgb(215, 217, 218);
  border-radius: 6px;
  padding: 12px;
  margin: 6px 0px;
  box-shadow: rgba(24, 26, 27, 0.03) 0px 1px 2px 0px, rgba(24, 26, 27, 0.06) 0px 2px 6px 0px;
  background: rgb(255, 255, 255);
  width: 100%;
  box-sizing: border-box;
}
.custom-step-form .wpcf7-form-control-wrap input {
  width: 100% !important;
  max-width: 100%;
  box-sizing: border-box;
  border: 1px solid rgb(215, 217, 218) !important;
  border-radius: 10px;
  padding: 20px !important;
  font-family: inherit;
  font-size: 1.2rem;
  box-shadow: none !important;
}

.custom-step-form  .progress-wrapper .icon-insurance-coverage, .custom-step-form  .progress-wrapper .icon.icon-coverage-needs, .custom-step-form  .progress-wrapper .icon.icon-coverage-details, .custom-step-form  .progress-wrapper .icon.icon-insurance-type{background-image: url(../images/logos/insurance.svg);}
.custom-step-form  .progress-wrapper .icon.icon-vehicle-type{background-image: url(../images/logos/vehicle.svg);}
.custom-step-form  .progress-wrapper .icon.icon-usage-location{background-image: url(../images/logos/loc-icon.svg);}
.custom-step-form  .progress-wrapper .icon.icon-boat-details{background-image: url(../images/logos/boat-icon.svg);}
.custom-step-form  .progress-wrapper .icon.icon-property-info, .custom-step-form  .progress-wrapper .icon.icon-rental-property-info{background-image: url(../images/logos/home-icon.svg);}
.custom-step-form  .progress-wrapper .icon.icon-vehicle-details{background-image: url(../images/logos/car-info.svg);}

.custom-step-form  .progress-wrapper .icon.icon-renter-info, .custom-step-form  .progress-wrapper .icon.icon-owner-or-driver-info, .custom-step-form  .progress-wrapper .icon.icon-owner-info, .custom-step-form  .progress-wrapper .icon.icon-contact-person, .custom-step-form  .progress-wrapper .icon.icon-personal-info, .custom-step-form  .progress-wrapper .icon.icon-contact-info{background-image: url(../images/logos/info.svg);}
.custom-step-form  .progress-wrapper .icon.icon-driver-info, .custom-step-form  .progress-wrapper .icon.icon-rider-info{background-image: url(../images/logos/driver.svg);}
.custom-step-form  .progress-wrapper .icon.icon-motorcycle-details{background-image: url(../images/logos/motorcycle.svg);}
.custom-step-form  .progress-wrapper .icon.icon-business-details{background-image: url(../images/logos/business.svg);}

.custom-step-form .vehicle-logo img {
  height: 50px;
  max-width: 70px;
}
.custom-step-form .vehicle-logo {
  text-align: center;width: 100%;
}
.custom-step-form .wpcf7-list-item input[type="radio"]:checked + .wpcf7-list-item-label {
  color: rgb(255, 255, 255);
  font-weight: bold;
}
.custom-step-form .make-img .wpcf7-list-item-label {
  text-align: center;
}

.custom-step-form .wpcf7-list-item input[type="radio"]:checked + .wpcf7-list-item-label {
  color: rgb(255, 255, 255);
  font-weight: bold;
}
.custom-step-form .make-img .wpcf7-list-item-label {
  text-align: center;width: 100%;
  box-sizing: border-box;margin:0;
  
}
.custom-step-form  .make-img .wpcf7-radio .wpcf7-list-item-label{display: flex;
  justify-content: center;
  flex-wrap: wrap;
  color: #666;    
}

.custom-step-form .wpcf7-list-item input[type="radio"]:checked + .wpcf7-list-item-label {
  background: rgb(0, 115, 230);
  color: rgb(255, 255, 255);
  border-color: rgb(0, 115, 230);
  font-weight: bold;
}



.custom-step-form input[type="date"], .custom-step-form input[type="email"], .custom-step-form input[type="number"], .custom-step-form input[type="password"], .custom-step-form input[type="search"], .custom-step-form input[type="tel"], .custom-step-form input[type="text"], .custom-step-form input[type="url"], .custom-step-form select, .custom-step-form textarea, .custom-step-form input {
  display: block;
  border: 1px solid rgb(215, 217, 218);
  border-radius: 6px;
  padding: 12px;
  margin: 6px 0px;
  box-shadow: rgba(24, 26, 27, 0.03) 0px 1px 2px 0px, rgba(24, 26, 27, 0.06) 0px 2px 6px 0px;
  background: rgb(255, 255, 255);
  width: 100%;
  box-sizing: border-box;
}
.custom-step-form .wpcf7-list-item {
margin:0;
}

.custom-step-form .wpcf7-form-control.wpcf7-radio, .custom-step-form .wpcf7-form-control.wpcf7-checkbox {
display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 15px ;
  margin-top:15px;
  text-align: center;
}
.custom-step-form  .step.nextstep {
  position: relative;
}
.custom-step-form .wpcf7-list-item-label:hover {
  border-color: rgb(0, 115, 230);
  background: rgb(249, 249, 249);
}
.custom-step-form .wpcf7-list-item-label {
  display: block;
  border: 1px solid rgb(215, 217, 218);
  border-radius: 12px;
  padding: 20px;
  margin: 0px;
  cursor: pointer;
  text-align: center;
  font-size: 1.2rem;
  font-weight:600;
  transition: 0.2s;
  box-shadow: rgba(24, 26, 27, 0.03) 0px 1px 2px 0px, rgba(24, 26, 27, 0.06) 0px 2px 6px 0px;
  background: rgb(255, 255, 255);
}

.custom-step-form .next-step-btn.disabled {
  cursor: no-drop;
  background: rgb(221, 221, 221);
  color: rgb(153, 153, 153);
}
.custom-step-form .next-step-btn {
  position: absolute;
  right: 6px;
  width: 100px;
  height: 55px;
  margin-top: -83px;
  border-radius: 5px;
  border: 0px;
  font-family: inherit;
  font-weight: 700;
  background: rgb(76, 175, 80);
  cursor: pointer;
  color: rgb(255, 255, 255);
}
.custom-step-form .wpcf7-form-control.wpcf7-submit {
  background: rgb(0, 102, 255);
  font-size: 21px;
  font-family: inherit;
  font-weight: 700;
  color: rgb(255, 255, 255);
  border: rgb(0, 102, 255);
  box-shadow: none;
  cursor: pointer;
  margin-top: 40px;
}
.step, .site-header {
  display: none;
}
.step.active {
  display: block;
}
.custom-step-form input[type="date"], .custom-step-form input[type="email"], .custom-step-form input[type="number"], .custom-step-form input[type="password"], .custom-step-form input[type="search"], .custom-step-form input[type="tel"], .custom-step-form input[type="text"], .custom-step-form input[type="url"], .custom-step-form select, .custom-step-form textarea, .custom-step-form input {
  display: block;
  border: 1px solid rgb(215, 217, 218);
  border-radius: 6px;
  padding: 12px;
  margin: 6px 0px;
    margin-top: 6px;
  box-shadow: rgba(24, 26, 27, 0.03) 0px 1px 2px 0px, rgba(24, 26, 27, 0.06) 0px 2px 6px 0px;
  background: rgb(255, 255, 255);
  width: 100%;
  box-sizing: border-box;
}
.custom-step-form .wpcf7-form-control-wrap input {
  width: 100% !important;
  max-width: 100%;
  box-sizing: border-box;
  border: 1px solid rgb(215, 217, 218) !important;
  border-radius: 10px;
  padding: 20px !important;
  font-family: inherit;
  font-size: 1.2rem;
  box-shadow: none !important;
}
@media (max-width: 768px) {
.custom-step-form .progress-section .icon{width: 40px;  height: 40px;background-size: 21px !important;}
.custom-step-form .progress-section .label{font-size:12px;} 
.custom-step-form .progress-wrapper{gap: 4px;  padding: 0px 0px;}
.custom-step-form .wpcf7-list-item-label{padding:10px;font-size: 1rem;}
.custom-step-form .progress-line{margin: -30px 5px 0;}
.custom-step-form h2 {  font-size: 18px;}
.custom-step-form .vehicle-logo img{height:40px;}
.custom-step-form .cols {  display: block;}
.custom-step-form .wpcf7 label{font-size:1rem;}
.custom-step-form p {  font-size: 1rem;}
.custom-step-form .wpcf7-form-control.wpcf7-submit{font-size: 15px;}
.custom-step-form .next-step-btn{width: 90px;  height: 34px;  margin-top: -55px;}
.custom-step-form .wpcf7-form-control-wrap input, .custom-step-form .wpcf7-form-control.wpcf7-textarea, .custom-step-form .wpcf7-form-control.wpcf7-select{padding: 10px !important;font-size: 1rem;}
.custom-step-form .wpcf7-form-control.wpcf7-radio, .custom-step-form .wpcf7-form-control.wpcf7-checkbox{grid-template-columns: repeat(2, 1fr);}
    
}